NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SketchPatternBuilder Class Reference

Represents a NXOpen.SketchPatternBuilder More...

Inheritance diagram for NXOpen.SketchPatternBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void SetEndConstraint (NXOpen.NXObject parent, int inx, bool isStart, bool constraint)
 This function removes end constraint from the given pattern More...
 
unsafe void UpdateCopies ()
 This function updates the pattern constraint with the number of copies set in the builder More...
 
unsafe void UpdateInputSection ()
 This function updates the pattern constraint according to the data set in pattern section More...
 
unsafe void UpdateLinearDirectionObject ()
 This function updates the pattern constraint after a new direction object is set in the builder for a linear pattern. More...
 
unsafe void UpdateCenterPoint ()
 This function updates the pattern constraint after a new center-point is set in the builder for a circular pattern. More...
 
unsafe void UpdateRectangularDirectionObjects ()
 This function updates the pattern constraint after direction objects are set in the builder for a rectangular pattern. More...
 
unsafe void UpdateFromPoint ()
 This function updates the pattern constraint after a new from-point is set in the builder for a general pattern. More...
 
unsafe void EvaluatePattern ()
 This function will solve the pattern constraint to update it based on the new data set in the builder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe bool CreateSpacingExp [get, set]
 Returns or sets the flag to indicate if a spacing expression needs to be created More...
 
unsafe bool LockOrientation [get, set]
 Returns or sets the flag to indicate if a spacing expression needs to be created More...
 
unsafe
NXOpen.GeometricUtilities.PatternDefinition 
PatternService [get]
 Returns the pattern service More...
 
unsafe NXOpen.Section Section [get]
 Returns the pattern section More...
 

Detailed Description

Represents a NXOpen.SketchPatternBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchPatternBuilder

Default values.

Property Value

CreateSpacingExp

True

LockOrientation

True

PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value

2

PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType

Offset

PatternService.AlongPathDefinition.XPathOption

Offset

PatternService.AlongPathDefinition.YDirectionOption

Section

PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value

1

PatternService.AlongPathDefinition.YPathOption

Offset

PatternService.AlongPathDefinition.YSpacing.NCopies.Value

1

PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value

10 (millimeters part), 1 (inches part)

PatternService.AlongPathDefinition.YSpacing.SpaceType

Offset

PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value

100 (millimeters part), 10 (inches part)

PatternService.CircularDefinition.AngularSpacing.NCopies.Value

12

PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value

30

PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value

10 (millimeters part), 1 (inches part)

PatternService.CircularDefinition.AngularSpacing.SpaceType

Offset

PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value

360 (millimeters part), 360 (inches part)

PatternService.CircularDefinition.AngularSpacing.UsePitchOption

Angle

PatternService.CircularDefinition.CreateLastStaggered

true

PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value

0 (millimeters part), 0 (inches part)

PatternService.CircularDefinition.IncludeSeedToggle

true

PatternService.CircularDefinition.RadialSpacing.NCopies.Value

1

PatternService.CircularDefinition.StaggerType

None

PatternService.HelixDefinition.AnglePitch.Value

30

PatternService.HelixDefinition.CountOfInstances.Value

6

PatternService.HelixDefinition.DirectionType

Righthand

PatternService.HelixDefinition.DistancePitch.Value

10 (millimeters part), 0.4 (inches part)

PatternService.HelixDefinition.HelixPitch.Value

50 (millimeters part), 2 (inches part)

PatternService.HelixDefinition.HelixSpan.Value

100 (millimeters part), 4 (inches part)

PatternService.HelixDefinition.NumberOfTurns.Value

2

PatternService.HelixDefinition.SizeOption

CountAngleDistance

PatternService.PatternFill.FillMargin.Value

0 (millimeters part), 0 (inches part)

PatternService.PatternFill.FillOptions

None

PatternService.PatternFill.SimplifiedBoundaryToggle

False

PatternService.PatternOrientation.AlongOrientationOption

NormalToPath

PatternService.PatternOrientation.CircularOrientationOption

FollowPattern

PatternService.PatternOrientation.FollowFaceProjDirOption

PatternPlaneNormal

PatternService.PatternOrientation.GeneralOrientationOption

Fixed

PatternService.PatternOrientation.HelixOrientationOption

FollowPattern

PatternService.PatternOrientation.LinearOrientationOption

Fixed

PatternService.PatternOrientation.MirrorOrientationOption

FollowPattern

PatternService.PatternOrientation.OrientationOption

Fixed

PatternService.PatternOrientation.PolygonOrientationOption

FollowPattern

PatternService.PatternOrientation.SpiralOrientationOption

FollowPattern

PatternService.PatternType

Linear

PatternService.PolygonDefinition.NumberOfSides.Value

6

PatternService.PolygonDefinition.PolygonSizeOption

Inscribed

PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value

4

PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value

25 (millimeters part), 1 (inches part)

PatternService.PolygonDefinition.PolygonSpacing.SpaceType

Offset

PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value

360

PatternService.PolygonDefinition.RadialSpacing.NCopies.Value

1

PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value

25 (millimeters part), 1 (inches part)

PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value

100 (millimeters part), 4 (inches part)

PatternService.RectangularDefinition.CreateLastStaggered

true

PatternService.RectangularDefinition.SimplifiedLayoutType

Square

PatternService.RectangularDefinition.StaggerType

None

PatternService.RectangularDefinition.XSpacing.NCopies.Value

2

PatternService.RectangularDefinition.YSpacing.NCopies.Value

1

PatternService.SpiralDefinition.DirectionType

Lefthand

PatternService.SpiralDefinition.NumberOfTurns.Value

1 (millimeters part), 1 (inches part)

PatternService.SpiralDefinition.RadialPitch.Value

50 (millimeters part), 2 (inches part)

PatternService.SpiralDefinition.SizeSpiralType

NumberOfTurns

PatternService.SpiralDefinition.TotalAngle.Value

360 (millimeters part), 360 (inches part)

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.SketchPatternBuilder.EvaluatePattern ( )

This function will solve the pattern constraint to update it based on the new data set in the builder

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.SketchPatternBuilder.SetEndConstraint ( NXOpen.NXObject  parent,
int  inx,
bool  isStart,
bool  constraint 
)

This function removes end constraint from the given pattern

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
parentParent object in base chain
inxIndex of the pattern - starts from 0
isStartTRUE, if we want to remove the start end con
constraintTRUE to add the con, false to remove
unsafe void NXOpen.SketchPatternBuilder.UpdateCenterPoint ( )

This function updates the pattern constraint after a new center-point is set in the builder for a circular pattern.

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.SketchPatternBuilder.UpdateCopies ( )

This function updates the pattern constraint with the number of copies set in the builder

Created in NX8.5.0

License requirements: None.

unsafe void NXOpen.SketchPatternBuilder.UpdateFromPoint ( )

This function updates the pattern constraint after a new from-point is set in the builder for a general pattern.

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.SketchPatternBuilder.UpdateInputSection ( )

This function updates the pattern constraint according to the data set in pattern section

Created in NX8.5.0

License requirements: None.

unsafe void NXOpen.SketchPatternBuilder.UpdateLinearDirectionObject ( )

This function updates the pattern constraint after a new direction object is set in the builder for a linear pattern.

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.SketchPatternBuilder.UpdateRectangularDirectionObjects ( )

This function updates the pattern constraint after direction objects are set in the builder for a rectangular pattern.

Created in NX11.0.0

License requirements: None.

Property Documentation

unsafe bool NXOpen.SketchPatternBuilder.CreateSpacingExp
getset

Returns or sets the flag to indicate if a spacing expression needs to be created

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.SketchPatternBuilder.LockOrientation
getset

Returns or sets the flag to indicate if a spacing expression needs to be created

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricUtilities.PatternDefinition NXOpen.SketchPatternBuilder.PatternService
get

Returns the pattern service

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.SketchPatternBuilder.Section
get

Returns the pattern section

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.